Ruby on Rails 0.13 is out and – as usual – it is claimed that it is compatiple to previous versions.

One Breakage occures with ActionMailer. In previous versions versions the ApplicationHelper was included. Now it isn’t anymore. So do something like this

class InternalNotifier < ActionMailer::Base
  helper :application 

and you are all set.

Another one, much harder to fix manifests in

ActionController::DoubleRenderError: Can only render or redirect once per action

Kommentar verfassen

Trage deine Daten unten ein oder klicke ein Icon um dich einzuloggen:

WordPress.com-Logo

Du kommentierst mit Deinem WordPress.com-Konto. Abmelden / Ändern )

Twitter-Bild

Du kommentierst mit Deinem Twitter-Konto. Abmelden / Ändern )

Facebook-Foto

Du kommentierst mit Deinem Facebook-Konto. Abmelden / Ändern )

Google+ Foto

Du kommentierst mit Deinem Google+-Konto. Abmelden / Ändern )

Verbinde mit %s